import { BasicService } from './basic'

class CoinTransactionService extends BasicService<any> {
  protected saveOrUpdateUrl(): string {
    return '/org/school/recharge'
  }

  protected removeUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected findPageUrl(): string {
    return '/org/school/transaction/list'
  }
}

export const coinTransactionService = new CoinTransactionService()
